<?php

namespace Tesrt\Test\Repositories\Eloquent;

use Tesrt\Test\Interfaces\TestRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class TestRepository extends BaseRepository implements TestRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('tesrt.test.test.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('tesrt.test.test.model.model');
    }
}
