<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'tesrt',

    /*
     * Package.
     */
    'package'   => 'test',

    /*
     * Modules.
     */
    'modules'   => ['test', 
'test'],

    'test'       => [
        'model' => [
            'model'                 => \Tesrt\Test\Models\Test::class,
            'table'                 => 'tests',
            'presenter'             => \Tesrt\Test\Repositories\Presenter\TestPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id'],
            'translatables'         => [],
            'upload_folder'         => 'test/test',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Tesrt',
            'package'   => 'Test',
            'module'    => 'Test',
        ],

    ],

    'test'       => [
        'model' => [
            'model'                 => \Tesrt\Test\Models\Test::class,
            'table'                 => 'tests',
            'presenter'             => \Tesrt\Test\Repositories\Presenter\TestPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['test_t1'],
            'translatables'         => [],
            'upload_folder'         => 'test/test',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Tesrt',
            'package'   => 'Test',
            'module'    => 'Test',
        ],

    ],
];
