Lavalite package that provides test management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `tesrt/test`.

    "tesrt/test": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Tesrt\Test\Providers\TestServiceProvider::class,

And also add it to alias

    'Test'  => Tesrt\Test\Facades\Test::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Tesrt\\TestTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Tesrt\Test\Providers\TestServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Tesrt\Test\Providers\TestServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Tesrt\Test\Providers\TestServiceProvider" --tag="view"


## Usage


